ClearCrowds

Remove Text

Remove visible text and rebuild the background behind it.

すべてのモデル
Remove Text — 処理前
Remove Text — 処理後
処理前処理後
モデル IDremove-text
製品内操作 IDremove:text
1回あたりの API Credits100

入力パラメータ

名前必須既定値説明
input_asset_idstringはいアップロード済み画像の Asset ID。 POST /api/v1/assets

出力パラメータ

非同期ジョブが返ります。成功までポーリングし、結果パスから画像を取得します。

job_idstring
statusstring
progressnumber
priceobject
resultobject | null
errorobject | null

ジョブを作成

curl "$CLEARCROWDS_API_BASE_URL/api/v1/presets/remove-text/jobs" \
  -X POST \
  -H "Authorization: Bearer $CLEARCROWDS_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: edit-001" \
  -d '{"input_asset_id":"11111111-1111-4111-8111-111111111111","input":{}}'

レスポンス

{
  "success": true,
  "data": {
    "job_id": "job_REPLACE_ME",
    "operation": "remove-text",
    "status": "queued",
    "progress": 0,
    "price": {
      "reserved_credits": 100,
      "settled_credits": 0,
      "refunded_credits": 0,
      "version": "2026-08-16"
    },
    "result": null,
    "error": null
  }
}